Skip to main content
PATCH
/
api
/
v1
/
identities
/
{identityId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "role": "<string>",
  "hasDeleteProtection": true,
  "metadata": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "identity": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metadata": [
      {
        "id": "<string>",
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "authMethod": "<string>",
    "hasDeleteProtection": false,
    "projectId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to update.

Body

application/json
name
string

The new name of the identity.

role
string

The new role of the identity.

Minimum string length: 1
hasDeleteProtection
boolean

Prevents deletion of the identity when enabled.

metadata
object[]

Response

Default Response

identity
object
required